<?php
class Menu{
	/**
	 * @var object for Groups
	 */
	private $group;
	/**
	 * @var object for Desk
	 */
	private $desk;
	/**
	 * @var object for Fields
	 */
	private $field;
	/**
	 * @var object template
	 */
	private $output;
	/**
	 * @var array language data
	 */
	protected $lang;
	
	public function __construct(){
		$this->group 	= new Group();
		$this->field 	= new Field();
		$this->output 	= new Output();
		$this->desk		= new Desk();
		
		add_action( 'admin_menu', array( &$this, 'build' ) );
		include DS_PLUGIN_PATH.'lang/'.WPLANG.'.php';
		$this->lang = $lang;
		
	}
	/**
	 * creates the Admin-Menu
	 */
	public function build(){
		
		add_menu_page(
			'dataSheet',
			'Datasheet', 
			10, 
			'datasheet', 
			array( &$this->desk, 'start' )
		);
		add_submenu_page( // Unterseite zum "Verwalten"-Menü hinzufügen
    		'datasheet', // Die übergeordnete Seite, das "Verwalten"-Menü
    		'dataSheet Group', // Titel der Seite, wenn die Seite angezeigt wird
    		$this->lang['uni']['groups'], // Anzeigename des Menü Unterpunkts
    		10, // Benutzerlevel das erforderlich ist um die Seite aufrufen zu dürfen (10 = Nur der Admin-User) (siehe http://codex.wordpress.org/User_Levels) 
    		'ds-group', // Eindeutiger Name für die Verlinkung
    		array( &$this->group, 'groups' ) // Name der eigenen Funktion die den Seiten Inhalt ausgibt
  		);
  		add_submenu_page( // Unterseite zum "Verwalten"-Menü hinzufügen
    		'datasheet', // Die übergeordnete Seite, das "Verwalten"-Menü
    		'dataSheet Field', // Titel der Seite, wenn die Seite angezeigt wird
    		$this->lang['uni']['fields'], // Anzeigename des Menü Unterpunkts
    		10, // Benutzerlevel das erforderlich ist um die Seite aufrufen zu dürfen (10 = Nur der Admin-User) (siehe http://codex.wordpress.org/User_Levels) 
    		'ds-field', // Eindeutiger Name für die Verlinkung
    		array( &$this->field, 'fields' ) // Name der eigenen Funktion die den Seiten Inhalt ausgibt
  		);
  		add_submenu_page( // Unterseite zum "Verwalten"-Menü hinzufügen
    		'datasheet', // Die übergeordnete Seite, das "Verwalten"-Menü
    		'dataSheet Output', // Titel der Seite, wenn die Seite angezeigt wird
    		$this->lang['uni']['content'].' '.$this->lang['uni']['output'], // Anzeigename des Menü Unterpunkts
    		10, // Benutzerlevel das erforderlich ist um die Seite aufrufen zu dürfen (10 = Nur der Admin-User) (siehe http://codex.wordpress.org/User_Levels) 
    		'ds-output', // Eindeutiger Name für die Verlinkung
    		array( &$this->output, 'editor' ) // Name der eigenen Funktion die den Seiten Inhalt ausgibt
  		);
	}
}
?>